Debian Bug report logs - #401969
please build using hunspell

version graph

Package: iceape; Maintainer for iceape is (unknown);

Reported by: Rene Engelhard <rene@debian.org>

Date: Thu, 7 Dec 2006 01:18:12 UTC

Severity: wishlist

Tags: patch

Found in version iceape/1.0.6-1

Fixed in version iceape/1.1.1-2

Done: Rene Engelhard <rene@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
New Bug report received and forwarded. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please build using hunspell
Date: Thu, 7 Dec 2006 01:07:22 +0100
[Message part 1 (text/plain, inline)]
Package: iceape
Version: 1.0.6-1.1
Severity: wishlist
Tags: patch

Hi,

MySpell is obsolete.
Please build against Hunspell, which is an improved version of MySpell
retaining full backwards compatibility. That also would make the usage
of hunspell-de-* in iceweasel possible.

[ The Problem is that hunspell-de-* is an improved version of the
MySpell dict for hunspell and it's working in OOo since it uses Hunspell
sice 2.0.2. But it also is located at the same place where the "old"
MySpell dict is. And hunspell-de-* and myspell-de-* conflict. Mozilla *
still uses Myspell and OOo uses hunspell, so you either use
hunspell-de-* and hope that the dict will work with
Iceweasel/Icedove/Iceape or
install myspell-de-* in which case you loose the better features in
OpenOffice.org ]

So far identical to 400621 but this bug contains a fully conditionalized patch
(new flag --enable-hunspell).
Note it currently contains the (Debian-specific) -lhunspell_pic since 
the stuff is linked into a shared lib.
The patch also fixes the non-taking of the CFLAGS, which would break
in hunspell case (and which made #include <hunspell/hunspell.hxx> needed
if not fixed). This patch should be a suitable ground to get upstream
(without the _pic, probably).

Last but not least patch also removes the (unneeded) myspell.hxx in clean;
if we use external myspell we want to actually use the header which is on
the system.

I'll post an updated patch to the iceweasel bug, too.

Regards,

Rene

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-powerpc
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages iceape depends on:
ii  iceape-browser                1.0.6-1.1  The Iceape Internet browser
ii  iceape-mailnews               1.0.6-1.1  The iceape Internet application su

Versions of packages iceape recommends:
ii  iceape-chatzilla              1.0.6-1.1  iceape Web Browser - irc client

-- no debconf information
[iceape-hunspell.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>, 401969@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Thu, 7 Dec 2006 08:12:18 +0100
block 401969 by 324637
thanks

On Thu, Dec 07, 2006 at 01:07:22AM +0100, Rene Engelhard <rene@debian.org> wrote:
> Package: iceape
> Version: 1.0.6-1.1
> Severity: wishlist
> Tags: patch
> 
> Hi,
> 
> MySpell is obsolete.
> Please build against Hunspell, which is an improved version of MySpell
> retaining full backwards compatibility. That also would make the usage
> of hunspell-de-* in iceweasel possible.
(...)

I won't do that until hunspell comes with a shared library.

Mike

PS: Note that I've been following upstream bug for hunspell support for
a while. Not tested the patch from there, though.



Blocking bugs of 401969 added: 324637 Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 401969@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Thu, 7 Dec 2006 11:26:34 +0100
[ also Cc'ing iceweasels bug ]

Am Donnerstag, 7. Dezember 2006 08:12 schrieben Sie:
> block 401969 by 324637
> thanks
[...] 
> > MySpell is obsolete.
> > Please build against Hunspell, which is an improved version of MySpell
> > retaining full backwards compatibility. That also would make the usage
> > of hunspell-de-* in iceweasel possible.
> (...)
> 
> I won't do that until hunspell comes with a shared library.

And I won't add a shared library myself and invent a SONAME. (Like Fedora does).

(BTW, I'll probably remove MySpell after etch so then this is RC;
I consider building against system-hunspell (and telling that) still better
than building with an internal copy of MySpell)

Especially since Mozilla now doesn't support hunspell dicts but hunspell-* and
myspell-* have the same file. I guess I need to make hunspell-* conflict with any
Mozilla out there *sigh*)

There's no big difference in using hunspell and myspell, except that hunspell dictionaries
then will also work. And you show that hunspell is used so the security team knows
that mozilla needs to be rebuilt (which probably won't happen, no one ever found a security bug
in either hunspell or myspell). And in any case, there's already enchant and openoffice.org building
with static hunspell (openoffice.org does build far longer than ice*)

Regards,

Rene
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Thu, 7 Dec 2006 22:06:51 +0100
On Thu, Dec 07, 2006 at 11:26:34AM +0100, Rene Engelhard <rene@debian.org> wrote:
> [ also Cc'ing iceweasels bug ]
> 
> Am Donnerstag, 7. Dezember 2006 08:12 schrieben Sie:
> > block 401969 by 324637
> > thanks
> [...] 
> > > MySpell is obsolete.
> > > Please build against Hunspell, which is an improved version of MySpell
> > > retaining full backwards compatibility. That also would make the usage
> > > of hunspell-de-* in iceweasel possible.
> > (...)
> > 
> > I won't do that until hunspell comes with a shared library.
> 
> And I won't add a shared library myself and invent a SONAME. (Like Fedora does).

Why is that ? Not for binary compatibility, obviously (which is
generally the reason to not *change* a soname)

> (BTW, I'll probably remove MySpell after etch so then this is RC;
> I consider building against system-hunspell (and telling that) still better
> than building with an internal copy of MySpell)
> 
> Especially since Mozilla now doesn't support hunspell dicts but hunspell-* and
> myspell-* have the same file. I guess I need to make hunspell-* conflict with any
> Mozilla out there *sigh*)
> 
> There's no big difference in using hunspell and myspell, except that hunspell dictionaries
> then will also work. And you show that hunspell is used so the security team knows
> that mozilla needs to be rebuilt (which probably won't happen, no one ever found a security bug
> in either hunspell or myspell). And in any case, there's already enchant and openoffice.org building
> with static hunspell (openoffice.org does build far longer than ice*)

It's not because it's done elsewhere that it's not a bad thing.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 401969@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Fri, 8 Dec 2006 02:49:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

Mike Hommey wrote:
> On Thu, Dec 07, 2006 at 11:26:34AM +0100, Rene Engelhard <rene@debian.org> wrote:
> > [ also Cc'ing iceweasels bug ]
> > 
> > Am Donnerstag, 7. Dezember 2006 08:12 schrieben Sie:
> > > block 401969 by 324637
> > > thanks
> > [...] 
> > > > MySpell is obsolete.
> > > > Please build against Hunspell, which is an improved version of MySpell
> > > > retaining full backwards compatibility. That also would make the usage
> > > > of hunspell-de-* in iceweasel possible.
> > > (...)
> > > 
> > > I won't do that until hunspell comes with a shared library.
> > 
> > And I won't add a shared library myself and invent a SONAME. (Like Fedora does).
> 
> Why is that ? Not for binary compatibility, obviously (which is
> generally the reason to not *change* a soname)

Because of this. Binaries which link to a SONAME which only exist in
distributions inventing a SONAME don't work elsewhere. Binaries built
on Fedora (and Debian if i'd apply it if shared libs' future in hunspell
is uncertain) are not able to use it somewhere else where only the
"normal" upstream contents are packaged. Of course, binary-only things
suck and you most times have the source to rebuild it, but...

Anyway, the Fedora patch was now upstreamed to sourceforges tracker. If
upstream adopts that one I will build a libhunspell-1.1-0 package.
(tried that already, works)

> > (BTW, I'll probably remove MySpell after etch so then this is RC;
> > I consider building against system-hunspell (and telling that) still better
> > than building with an internal copy of MySpell)
> > 
> > Especially since Mozilla now doesn't support hunspell dicts but hunspell-* and
> > myspell-* have the same file. I guess I need to make hunspell-* conflict with any
> > Mozilla out there *sigh*)
> > 
> > There's no big difference in using hunspell and myspell, except that hunspell dictionaries
> > then will also work. And you show that hunspell is used so the security team knows
> > that mozilla needs to be rebuilt (which probably won't happen, no one ever found a security bug
> > in either hunspell or myspell). And in any case, there's already enchant and openoffice.org building
> > with static hunspell (openoffice.org does build far longer than ice*)
> 
> It's not because it's done elsewhere that it's not a bad thing.

What is your argument exactly for not linking to link against that static
lib? Only because it's static? That argument IMHO doesn't really
score...
Many things link against static libs - simply becaus ethere's no shared
lib (yet) upstream.

My points are:
- you are blocking usage of superior dicts (hunspell-*) elsewhere
  (OOo, enchant/abiword) by not supporting hunspell in Ice* for those
  that use OOo or enchant/abiword and some Ice animal.
  (And I want to get myspell removed for etch+1...)
- even with hunspell being static you point the security
  team that you link with it (not that a security update for hunspell
  should ever be necessary. so this isn't a problem either)
- it won't change behaviour of the spellchecker (except improve it's
  ability to check words)

Gr??e/Regards,

Ren?
-- 
 .''`.  Ren? Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Fri, 8 Dec 2006 07:43:01 +0100
On Fri, Dec 08, 2006 at 02:49:12AM +0100, Rene Engelhard <rene@debian.org> wrote:
> Because of this. Binaries which link to a SONAME which only exist in
> distributions inventing a SONAME don't work elsewhere. Binaries built
> on Fedora (and Debian if i'd apply it if shared libs' future in hunspell
> is uncertain) are not able to use it somewhere else where only the
> "normal" upstream contents are packaged. Of course, binary-only things
> suck and you most times have the source to rebuild it, but...

Debian doesn't guaranty binary compatibility of its binaries with other
distributions.

> (...)
> What is your argument exactly for not linking to link against that static
> lib? Only because it's static? That argument IMHO doesn't really
> score...
> Many things link against static libs - simply becaus ethere's no shared
> lib (yet) upstream.
> 
> My points are:
> - you are blocking usage of superior dicts (hunspell-*) elsewhere
>   (OOo, enchant/abiword) by not supporting hunspell in Ice* for those
>   that use OOo or enchant/abiword and some Ice animal.
>   (And I want to get myspell removed for etch+1...)

OTOH, you are blocking better hunspell for ... no reason.
Also note what you are asking is not (yet) supported by mozilla.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 401969@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Fri, 8 Dec 2006 14:12:47 +0100
[Message part 1 (text/plain, inline)]
Hi,

Mike Hommey wrote:
> On Fri, Dec 08, 2006 at 02:49:12AM +0100, Rene Engelhard <rene@debian.org> wrote:
> > Because of this. Binaries which link to a SONAME which only exist in
> > distributions inventing a SONAME don't work elsewhere. Binaries built
> > on Fedora (and Debian if i'd apply it if shared libs' future in hunspell
> > is uncertain) are not able to use it somewhere else where only the
> > "normal" upstream contents are packaged. Of course, binary-only things
> > suck and you most times have the source to rebuild it, but...
> 
> Debian doesn't guaranty binary compatibility of its binaries with other
> distributions.

I know, but that is not an argument to deliberately break it.
If a incompatibility happens, ok, but...

> > (...)
> > What is your argument exactly for not linking to link against that static
> > lib? Only because it's static? That argument IMHO doesn't really
> > score...
> > Many things link against static libs - simply becaus ethere's no shared
> > lib (yet) upstream.
> > 
> > My points are:
> > - you are blocking usage of superior dicts (hunspell-*) elsewhere
> >   (OOo, enchant/abiword) by not supporting hunspell in Ice* for those
> >   that use OOo or enchant/abiword and some Ice animal.
> >   (And I want to get myspell removed for etch+1...)
> 
> OTOH, you are blocking better hunspell for ... no reason.

I am currently blocking a shared library only (and I din't think
"blocking" fits it at all since plain upstream does not have any shared
library).
That doesn't improve hunspell (as the engine) in any way. The effect also
is there with the static library and when hunspell finally has a shared lib
you can build against that.

And in any case, adding a new shared lib now is too late for etch anyway
whereas linking with hunspell can be done for etch still.

> Also note what you are asking is not (yet) supported by mozilla.

So what? The only thing I change is to exchange MySpell through the
API-compatible (except the class name) and improved hunspell. Behaviour
of the interface doesn't change, but the spellchecking gets better.

That Mozilla itself uses an obsolete spellchecking engine (they took
myspell from OOo, but didn't do it with hunspell, which was becoming
default with OOo 2.0.2 in March) is bad, yes, but that's no reason
to block this.

Hunspell is completely compatible; you can re-use your old myspell
dicts, too.

Gr??e/Regards,

Ren?
-- 
 .''`.  Ren? Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #42 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Fri, 8 Dec 2006 18:38:01 +0100
On Fri, Dec 08, 2006 at 02:12:47PM +0100, Rene Engelhard <rene@debian.org> wrote:
> Hi,
> 
> Mike Hommey wrote:
> > On Fri, Dec 08, 2006 at 02:49:12AM +0100, Rene Engelhard <rene@debian.org> wrote:
> > > Because of this. Binaries which link to a SONAME which only exist in
> > > distributions inventing a SONAME don't work elsewhere. Binaries built
> > > on Fedora (and Debian if i'd apply it if shared libs' future in hunspell
> > > is uncertain) are not able to use it somewhere else where only the
> > > "normal" upstream contents are packaged. Of course, binary-only things
> > > suck and you most times have the source to rebuild it, but...
> > 
> > Debian doesn't guaranty binary compatibility of its binaries with other
> > distributions.
> 
> I know, but that is not an argument to deliberately break it.
> If a incompatibility happens, ok, but...
> 
> > > (...)
> > > What is your argument exactly for not linking to link against that static
> > > lib? Only because it's static? That argument IMHO doesn't really
> > > score...
> > > Many things link against static libs - simply becaus ethere's no shared
> > > lib (yet) upstream.
> > > 
> > > My points are:
> > > - you are blocking usage of superior dicts (hunspell-*) elsewhere
> > >   (OOo, enchant/abiword) by not supporting hunspell in Ice* for those
> > >   that use OOo or enchant/abiword and some Ice animal.
> > >   (And I want to get myspell removed for etch+1...)
> > 
> > OTOH, you are blocking better hunspell for ... no reason.
> 
> I am currently blocking a shared library only (and I din't think
> "blocking" fits it at all since plain upstream does not have any shared
> library).
> That doesn't improve hunspell (as the engine) in any way. The effect also
> is there with the static library and when hunspell finally has a shared lib
> you can build against that.
> 
> And in any case, adding a new shared lib now is too late for etch anyway
> whereas linking with hunspell can be done for etch still.

Adding a new shared lib is too late but doing untested and unsupported
things is not. mwarf.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #47 received at 401969@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Fri, 8 Dec 2006 21:52:39 +0100
[Message part 1 (text/plain, inline)]
Mike Hommey wrote:
> > And in any case, adding a new shared lib now is too late for etch anyway
> > whereas linking with hunspell can be done for etch still.
> 
> Adding a new shared lib is too late but doing untested and unsupported
> things is not. mwarf.

A shared lib is a new package and enchant, OOo etc will build against it
and blocked behind it if a upload should be necessary (and those things
will be linked against it)
This is a difference to ice* where you just rebuildit with an improved
spellchecking engine.
[ If I decide to not keep libhunspell_pic.a when there's a
libhunspell.so, OOo will even FTBFS currently when libhunspell_pic's
gone and needs an upload, too, otherwise OOo will not,  but enchant
will. ]
Adding a new shared library which has he potential to block RC fixes
because stuff now suddenly link against that (and a upload adding the
shared lib will have to go through NEW and wait 10 days and...)

The hunspell patch *is* tested. I use it here on my iceweasel without problems.
I of course built iceape with this patch and it seems to work fine, too.
As already said, Hunspell is completely API-compatible with MySpell except
the class name. The unsupported argument doesn't  m ake sense either,
plain Mozilla doesn't even support sharing the dictionaries between all
MySpell supported apps...

Hunspell itself is tested long time in unstable, both the library and
the hunspell program. Hunspell's the *native* spellchecking engine in
OOo since 2.0.2 (March!). OOo is not patched to support hunspell, it's
the native format. enchant is a wrapper for many libs, including
hunspell/myspell, calling that myspell.
enchant is the proof that just rebuilding with hunspell does *not* break
stuff.

Interesting you ignored all mine comments in my last mail because of
"Mozilla doesn't support it" even when you a) patch system-myspell in
yourself b) symlink myspell/ to the shared dictionaries. Both is good,
and anything else doesn't make sense for an integrated system but both
are not supported by mozilla either, are they?
You also seems to ignore that Hunspell is 100% compatible to MySpell.
No location change, no APi change, no whatever change (except the
class).

And you also seem to ignore my comment that I actually did build ice*
with hunspell and tried spellchecking...

Gr??e/Regards,

Ren?
-- 
 .''`.  Ren? Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #52 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Fri, 8 Dec 2006 22:15:58 +0100
On Fri, Dec 08, 2006 at 09:52:39PM +0100, Rene Engelhard <rene@debian.org> wrote:
> Interesting you ignored all mine comments in my last mail because of
> "Mozilla doesn't support it" even when you a) patch system-myspell in
> yourself b) symlink myspell/ to the shared dictionaries. Both is good,
> and anything else doesn't make sense for an integrated system but both
> are not supported by mozilla either, are they?

b) is not a big problem. The files are at the same place from iceape
point of view. And why do you think I did a) in the first place ? To
statically link another library instead of the one I externalized ?

> You also seems to ignore that Hunspell is 100% compatible to MySpell.
> No location change, no APi change, no whatever change (except the
> class).
> 
> And you also seem to ignore my comment that I actually did build ice*
> with hunspell and tried spellchecking...

I too, test the software I package and don't find bugs. But yet, a lot
are filed.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 401969@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-security@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Fri, 8 Dec 2006 22:58:11 +0100
[Message part 1 (text/plain, inline)]
Mike Hommey wrote:
> On Thu, Dec 07, 2006 at 11:26:34AM +0100, Rene Engelhard <rene@debian.org> wrote:
> > There's no big difference in using hunspell and myspell, except that hunspell dictionaries
> > then will also work. And you show that hunspell is used so the security team knows
> > that mozilla needs to be rebuilt (which probably won't happen, no one ever found a security bug
> > in either hunspell or myspell). And in any case, there's already enchant and openoffice.org building
> > with static hunspell (openoffice.org does build far longer than ice*)
> 
> How does the security team feel about having to rebuild iceape,
> iceweasel, icedove (you forgot to file a bug on icedove), OOo and enchant

No, that would have been my next target (the source already is on my
disk)

> if there happens to be a security bug in hunspell ?

I am sure there won't be, but if it happens it happens. There's some
static libs in Debian where this is the case, afaik. Of course. not having to
do that is better, but...

> How do buildds feel to have to rebuild iceape, iceweasel, icedove, OOo
> and enchant for every hunspell upload ?

You don't have to.

Gr??e/Regards,

Ren?
-- 
 .''`.  Ren? Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 401969@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Fri, 8 Dec 2006 23:03:30 +0100
[Message part 1 (text/plain, inline)]
Hi,

Mike Hommey wrote:
> On Fri, Dec 08, 2006 at 09:52:39PM +0100, Rene Engelhard <rene@debian.org> wrote:
> > Interesting you ignored all mine comments in my last mail because of
> > "Mozilla doesn't support it" even when you a) patch system-myspell in
> > yourself b) symlink myspell/ to the shared dictionaries. Both is good,
> > and anything else doesn't make sense for an integrated system but both
> > are not supported by mozilla either, are they?
> 
> b) is not a big problem. The files are at the same place from iceape
> point of view. And why do you think I did a) in the first place ? To
> statically link another library instead of the one I externalized ?

I think you did a) because you want to build against *system* myspell.
(You btw didn't externalize it, I packaged it once for OOo, you just did the
configure flag for mozilla) the change to

The difference here is you don't use a copy of some lib in the source
but using the stuff from the system. Whether that's static or dynamic
it's not the main point (of course dynamic is better, I agree with that)

> > You also seems to ignore that Hunspell is 100% compatible to MySpell.
> > No location change, no APi change, no whatever change (except the
> > class).
> > 
> > And you also seem to ignore my comment that I actually did build ice*
> > with hunspell and tried spellchecking...
> 
> I too, test the software I package and don't find bugs. But yet, a lot
> are filed.

Yes, like the missing rm and CFLAGS (and using the internal
myspell.hxx...).

Can you tell me how using hunspell should break? Hunspell (the engine)
is tested since months with OOo. mozilla will use the same library with
the same API calls as it did for MySpell...

Gr??e/Regards,

Ren?
-- 
 .''`.  Ren? Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #67 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-security@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Fri, 8 Dec 2006 22:32:50 +0100
On Thu, Dec 07, 2006 at 11:26:34AM +0100, Rene Engelhard <rene@debian.org> wrote:
> There's no big difference in using hunspell and myspell, except that hunspell dictionaries
> then will also work. And you show that hunspell is used so the security team knows
> that mozilla needs to be rebuilt (which probably won't happen, no one ever found a security bug
> in either hunspell or myspell). And in any case, there's already enchant and openoffice.org building
> with static hunspell (openoffice.org does build far longer than ice*)

How does the security team feel about having to rebuild iceape,
iceweasel, icedove (you forgot to file a bug on icedove), OOo and enchant
if there happens to be a security bug in hunspell ?

How do buildds feel to have to rebuild iceape, iceweasel, icedove, OOo
and enchant for every hunspell upload ?

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #72 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-security@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 9 Dec 2006 09:31:09 +0100
On Fri, Dec 08, 2006 at 10:58:11PM +0100, Rene Engelhard <rene@debian.org> wrote:
> Mike Hommey wrote:
> > On Thu, Dec 07, 2006 at 11:26:34AM +0100, Rene Engelhard <rene@debian.org> wrote:
> > > There's no big difference in using hunspell and myspell, except that hunspell dictionaries
> > > then will also work. And you show that hunspell is used so the security team knows
> > > that mozilla needs to be rebuilt (which probably won't happen, no one ever found a security bug
> > > in either hunspell or myspell). And in any case, there's already enchant and openoffice.org building
> > > with static hunspell (openoffice.org does build far longer than ice*)
> > 
> > How does the security team feel about having to rebuild iceape,
> > iceweasel, icedove (you forgot to file a bug on icedove), OOo and enchant
> 
> No, that would have been my next target (the source already is on my
> disk)
> 
> > if there happens to be a security bug in hunspell ?
> 
> I am sure there won't be, but if it happens it happens. There's some
> static libs in Debian where this is the case, afaik. Of course. not having to
> do that is better, but...
> 
> > How do buildds feel to have to rebuild iceape, iceweasel, icedove, OOo
> > and enchant for every hunspell upload ?
> 
> You don't have to.

So when you fix bugs in hunspell, you want to leave the bugs in the
programs that are statically linked to it. How great.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Davide Prina <davide.prina@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #77 received at 401969@bugs.debian.org (full text, mbox):

From: Davide Prina <davide.prina@gmail.com>
To: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-security@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 09 Dec 2006 11:04:57 +0100
Rene Engelhard wrote:
> MySpell is obsolete.
> Please build against Hunspell, which is an improved version of MySpell
> retaining full backwards compatibility. That also would make the usage
> of hunspell-de-* in iceweasel possible.

probably not so full backwards compatibility.

> [ The Problem is that hunspell-de-* is an improved version of the
> MySpell dict for hunspell and it's working in OOo since it uses
> Hunspell

also Italian dictionary in Debian is a very old release ... so obsolete 
than a lot of people ask me to correct a lot of errors, errors that are 
already corrected in the last version.
I think that Debian is the last GNU/Linux distro that have a so old 
Itailian dictionary version.

The last Italian dictionary under GPL license can be downloaded from 
here (2.3 beta 23/07/2006):
http://linguistico.sf.net/wiki/doku.php?id=dizionario_italiano

I have reported a whishlist for that #329971 at Date: Sat, 24 Sep 2005 
23:04:33 +0200

For Italian language there is also a surname dictionary, also it under 
GPL, that can be found here:
http://linguistico.sf.net/wiki/doku.php?id=dizionario_cognomi_italiani

I don't see the hurry to have hunspell used on all programs ... if it is 
so hard or impossible to have recent dictionaries in Debian that are 
other languages than English or maintainer mother language.

Mike Hommey wrote:
> On Fri, Dec 08, 2006 at 10:58:11PM +0100, Rene Engelhard wrote:
>> Mike Hommey wrote:

>>> if there happens to be a security bug in hunspell ?

>> I am sure there won't be, but if it happens it happens. There's some
>> static libs in Debian where this is the case, afaik. Of course. not having to
>> do that is better, but...
>>
>>> How do buildds feel to have to rebuild iceape, iceweasel, icedove, OOo
>>> and enchant for every hunspell upload ?
>> You don't have to.
> 
> So when you fix bugs in hunspell, you want to leave the bugs in the
> programs that are statically linked to it. How great.

I have reported some hunspell bugs to László (I don't know if some can 
be security bugs). I don't know if they are already corrected (László 
have told me: "I hope, I will solve the problem this month for OOo 2.1").
For example hunspell can generate more strings or more time the same 
string than myspell starting from the same dictionary.

For hunspell there isn't a program that expand all the dictionary, so it 
is very hard to know if it work as you expected.

Ciao
Davide




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #82 received at 401969@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-security@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 9 Dec 2006 13:09:57 +0100
[Message part 1 (text/plain, inline)]
Hi,

Mike Hommey wrote:
> On Fri, Dec 08, 2006 at 10:58:11PM +0100, Rene Engelhard <rene@debian.org> wrote:
> > Mike Hommey wrote:
> > > On Thu, Dec 07, 2006 at 11:26:34AM +0100, Rene Engelhard <rene@debian.org> wrote:
> > > > There's no big difference in using hunspell and myspell, except that hunspell dictionaries
> > > > then will also work. And you show that hunspell is used so the security team knows
> > > > that mozilla needs to be rebuilt (which probably won't happen, no one ever found a security bug
> > > > in either hunspell or myspell). And in any case, there's already enchant and openoffice.org building
> > > > with static hunspell (openoffice.org does build far longer than ice*)
> > > 
> > > How does the security team feel about having to rebuild iceape,
> > > iceweasel, icedove (you forgot to file a bug on icedove), OOo and enchant
> > 
> > No, that would have been my next target (the source already is on my
> > disk)
> > 
> > > if there happens to be a security bug in hunspell ?
> > 
> > I am sure there won't be, but if it happens it happens. There's some
> > static libs in Debian where this is the case, afaik. Of course. not having to
> > do that is better, but...
> > 
> > > How do buildds feel to have to rebuild iceape, iceweasel, icedove, OOo
> > > and enchant for every hunspell upload ?
> > 
> > You don't have to.
> 
> So when you fix bugs in hunspell, you want to leave the bugs in the
> programs that are statically linked to it. How great.

Bullshit. You are intrepreting stuff everytime I didn't say.
Not every fix in the package/packaging needs a rebuild, neither does a
fix only affecting the hunspell program and not the library.

In the library case, you're right.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #87 received at 401969@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Davide Prina <davide.prina@gmail.com>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-security@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 9 Dec 2006 13:13:27 +0100
[Message part 1 (text/plain, inline)]
Hi,

Davide Prina wrote:
> > MySpell is obsolete.
> > Please build against Hunspell, which is an improved version of MySpell
> > retaining full backwards compatibility. That also would make the usage
> > of hunspell-de-* in iceweasel possible.
>
> probably not so full backwards compatibility.

Proof?

> also Italian dictionary in Debian is a very old release ... so obsolete 
> than a lot of people ask me to correct a lot of errors, errors that are 
> already corrected in the last version.
> I think that Debian is the last GNU/Linux distro that have a so old 
> Itailian dictionary version.
> 
> The last Italian dictionary under GPL license can be downloaded from 
> here (2.3 beta 23/07/2006):
> http://linguistico.sf.net/wiki/doku.php?id=dizionario_italiano
> 
> I have reported a whishlist for that #329971 at Date: Sat, 24 Sep 2005 
> 23:04:33 +0200

Irrelevant for this discussion. I can't add GPLed stuff to the
package because it then  would be GPL. The other dictionaries in the OOo
source are LGPL, though.

You can package it externally or make it build from the ispell one, but
I will *not* include it in -dictionaries due it's being GPL.

I told that in the bug report that it's G`PL and can't add it.
If you don't read it/understand it and then complain, well...

> For Italian language there is also a surname dictionary, also it under 
> GPL, that can be found here:
> http://linguistico.sf.net/wiki/doku.php?id=dizionario_cognomi_italiani

GPL, too. See above.

> I don't see the hurry to have hunspell used on all programs ... if it is 

I do. There's hunspell dictionaries in Debian which have to conflict
against all mozillas...

> I have reported some hunspell bugs to Láló don't know if some can
> be security bugs). I don't know if they are already corrected (Lálóve
> told me: "I hope, I will solve the problem this month for OOo 2.1").

Doubt that, there's no new hunspell release and neither does OOo 2.1
correct a new hunspell AFAIS (or he fixed the OOo h unspell copy and
forgot the normal one..)

No one claimed hunsppell hasn't got bugs but it's better than myspell
overall.
And it won't block usage of hunspell dictionaries in OOo.

Gr??e/Regards,

Ren?
-- 
 .''`.  Ren? Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #92 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Davide Prina <davide.prina@gmail.com>, 401969@bugs.debian.org, 400621@bugs.debian.org, debian-security@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 9 Dec 2006 13:21:46 +0100
On Sat, Dec 09, 2006 at 01:13:27PM +0100, Rene Engelhard <rene@debian.org> wrote:
> I do. There's hunspell dictionaries in Debian which have to conflict
> against all mozillas...

I fail to see why. Are the hunspell dictionaries in
/usr/share/myspell/dicts or what ?

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Davide Prina <davide.prina@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #97 received at 401969@bugs.debian.org (full text, mbox):

From: Davide Prina <davide.prina@gmail.com>
To: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-security@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 09 Dec 2006 14:10:47 +0100
Rene Engelhard wrote:

> Davide Prina wrote:
>>> MySpell is obsolete.
>>> Please build against Hunspell, which is an improved version of MySpell
>>> retaining full backwards compatibility. That also would make the usage
>>> of hunspell-de-* in iceweasel possible.

>> probably not so full backwards compatibility.
> 
> Proof?

for example this:

---8<------FILE a.aff-----8<-----
SET ISO8859-15
TRY aioertnsclmdpgubzfvhàq'ACMSkBGPLxEyRTVòIODNwFéùèìjUZKHWJYQX

SFX B Y 1
SFX B ere ono ere # p

SFX p Y 2
SFX p o i o
SFX p o e o
---8<---------------------8<-----

---8<------FILE a.dic-----8<-----
1
decidere/B
---8<---------------------8<-----

---8<------FILE a.txt-----8<-----
decidere
decidono
decidoni
decidone
---8<---------------------8<-----

note that "decidere/B" must generate only "decidono" (with myspell), but 
hunspell generate also "decidoni" and "decidone" that are wrong Italian 
words.

I have see that I can gain the same result with

SFX B ere ono ere anystring p

also if I write

SFX B ere ono ere anystring abcdef

than it is the same that write
decidono/abcdef

>> also Italian dictionary in Debian is a very old release ... so obsolete 
>> than a lot of people ask me to correct a lot of errors, errors that are 
>> already corrected in the last version.
>> I think that Debian is the last GNU/Linux distro that have a so old 
>> Itailian dictionary version.
>>
>> The last Italian dictionary under GPL license can be downloaded from 
>> here (2.3 beta 23/07/2006):
>> http://linguistico.sf.net/wiki/doku.php?id=dizionario_italiano
>>
>> I have reported a whishlist for that #329971 at Date: Sat, 24 Sep 2005 
>> 23:04:33 +0200
> 
> Irrelevant for this discussion. I can't add GPLed stuff to the
> package because it then  would be GPL. The other dictionaries in the OOo
> source are LGPL, though.

I don't have ask to add it to the OOo source, but to the myspell-it package.

> You can package it externally or make it build from the ispell one, but
> I will *not* include it in -dictionaries due it's being GPL.

If I don't have mistake I intend -dictionaries as a Debian package

interesting ... so you can neither include the German dictionary ... it 
is under GPL license and non-GPL for package that "support the OASIS 
Open Document Format for Office Applications and whose PRIMARY format 
for saving documents is the Open Document Format"
I don't think icedove, iceweasel, ... respect this exception, so for all 
these the German dictionary is only GPL 2.0 or upper

I think theare are lot of other dictionaries/thesaurus that have the 
same problem.

> I told that in the bug report that it's G`PL and can't add it.
> If you don't read it/understand it and then complain, well...

where? when?

querybts tell me:
---8<-------8<-------8<-------8<-------8<----
From: Rene Engelhard
Subject: Re: Bug#329971: New Italian dictionary version available
Date: Sat, 24 Sep 2005 23:45:45 +0200

[...]

Aha. Hmm. And OOo 1.9.x/2.0 also contains only 2.1. Will look. When
1.9.x enters sid myspell-it will become 2.1 anyway and I'll look about
updating the copy with 2.2.

[...]

Grüße/Regards,

Rene
---8<-------8<-------8<-------8<-------8<----

note that the 2.2 version is GPL only

Also the Italian thesaurus is only GPL and there is a recent version in 
Debian ... why?

>> I have reported some hunspell bugs to Láló don't know if some can
>> be security bugs). I don't know if they are already corrected (Lálóve
>> told me: "I hope, I will solve the problem this month for OOo 2.1").
> 
> Doubt that, there's no new hunspell release and neither does OOo 2.1
> correct a new hunspell AFAIS (or he fixed the OOo h unspell copy and
> forgot the normal one..)

you can try the above example to check it

Ciao
Davide

-- 
Dizionari: http://linguistico.sourceforge.net/wiki
Client di posta: http://www.mozilla.org/products/thunderbird
GNU/Linux User: 302090: http://counter.li.org
Non autorizzo la memorizzazione del mio indirizzo su outlook




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Steve Kemp <skx@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #102 received at 401969@bugs.debian.org (full text, mbox):

From: Steve Kemp <skx@debian.org>
To: Rene Engelhard <rene@debian.org>, 401969@bugs.debian.org, 400621@bugs.debian.org, debian-security@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 9 Dec 2006 16:14:56 +0000
[Message part 1 (text/plain, inline)]
On Fri, Dec 08, 2006 at 10:32:50PM +0100, Mike Hommey wrote:

> How does the security team feel about having to rebuild iceape,
> iceweasel, icedove (you forgot to file a bug on icedove), OOo and enchant
> if there happens to be a security bug in hunspell ?

  In general having multiple packages needing a rebuild for a
 single security fix is a problem, and not something we'd like
 to have to deal with.

  (For a specific example think of the pdf/gs updates we had to
 make earlier in the year/last year.  Lots of different programs
 with very similar code which didn't always get spotted at the
 same time.)

  A more recent example would be the links + elinks updates.  Links
 was updated first then we updated elinks afterwards when we learnt
 there was shared code ..  (Obvious in retrospect, but if there are
 a lot of packages which would require a rebuild keeping track of
 all of them can be difficult; especially if we don't know about it
 in advance.)

Steve
-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #107 received at 401969@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 9 Dec 2006 18:10:16 +0100
[Message part 1 (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #112 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 9 Dec 2006 18:33:25 +0100
On Sat, Dec 09, 2006 at 06:10:16PM +0100, Rene Engelhard <rene@debian.org> wrote:
> Mike Hommey wrote:
> > On Sat, Dec 09, 2006 at 02:29:36PM +0100, Rene Engelhard <rene@debian.org> wrote:
> > > Mike Hommey wrote:
> > > > On Sat, Dec 09, 2006 at 01:13:27PM +0100, Rene Engelhard <rene@debian.org> wrote:
> > > > > I do. There's hunspell dictionaries in Debian which have to conflict
> > > > > against all mozillas...
> > > > 
> > > > I fail to see why. Are the hunspell dictionaries in
> > > > /usr/share/myspell/dicts or what ?
> > > 
> > > Yes.
> > 
> > If the dictionaries are not compatible with myspell, why put them in
> > /usr/share/*myspell* ?
> 
> Has its reasons lying in the past.
> 
> a) everything using myspell looked at this place and I of course wanted
>    hunspell to look there where all myspell dicts are since they are
>    100% compatible and there are more myspell dicts there than "new"
>    hunspell dicts
> b) OOo supports only *one* dir and *one* dictionary.lst for this.
>    This could have been worked around by symlinking myspell dicts into
>    /usr/share/hunspell/dicts, but more importantly, every dictionary has to be
>    registered at /etc/openoffice/dictionary.lst. Which, due to OOo not caring
>    about the FHS at all, is in /etc and /usr/share/myspell/dicts/dictionary.lst
>    (where OOo expects it) is a symlink to that. Not to forget the
>    additional xx-YY.* -> xx_YY.dic symlinks you might want/need only for
>    mozilla. (Note also that /usr/share/myspell/dicts isn't even sensible to set at
>    OOo either, you need a symlink pointing to that, too)
>    (/usr/lib/openoffice/share/dict/ooo -> /usr/share/myspell/dicts).
>    This would have been a maintenance nightmare.
> c) when hunspell (the ui interface) would look in /usr/share/hunspell it
>    would not find any myspell dict unless you do the symlink farm from
>    b)
> d) if you did the symlink farms in b) and c) the DSDT policy needed to
>    get changed and every myspell package updated/NMUed. I didn't want
>    to go that far yet...

On the other hand, all packages using myspell dictionaries and not
supporting hunspell format will fail to load the dictionaries that are
in /usr/share/myspell/dicts that are hunspell dictionaries.

> e) I hoped Mozilla upstream would adopt Hunspell quite fast (as they did with
>    MySpell) in which case this wouldn't have been a problem after all.
>    After I saw they didn't I sent the patch we're discussing about now
>    only because you don't like static libs.

There has already been a patch sitting in their bugzilla to replace
myspell with hunspell for a while.  Note that they're not very in using
external libraries, so if your patch doesn't include hunspell and links
against an external library, it's not likely to be accepted. And even if
it were accepted, the best target you could expect would be Firefox 3.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#401969; Package iceape. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #117 received at 401969@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>
Cc: 401969@bugs.debian.org, 400621@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#401969: please build using hunspell
Date: Sat, 9 Dec 2006 14:39:08 +0100
On Sat, Dec 09, 2006 at 02:29:36PM +0100, Rene Engelhard <rene@debian.org> wrote:
> Mike Hommey wrote:
> > On Sat, Dec 09, 2006 at 01:13:27PM +0100, Rene Engelhard <rene@debian.org> wrote:
> > > I do. There's hunspell dictionaries in Debian which have to conflict
> > > against all mozillas...
> > 
> > I fail to see why. Are the hunspell dictionaries in
> > /usr/share/myspell/dicts or what ?
> 
> Yes.

If the dictionaries are not compatible with myspell, why put them in
/usr/share/*myspell* ?

Mike



Bug reassigned from package `iceape' to `iceape'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2007 17:42:06 GMT) Full text and rfc822 format available.

Bug marked as found in version 1.0.6-1. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2007 17:42:08 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.1.1-2, send any further explanations to Rene Engelhard <rene@debian.org> Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2007 18:21:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2007 07:27:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:16:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.